> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Support Scripts



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi get /api/devices/{identifier}/scripts
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/devices/{identifier}/scripts:
    get:
      tags:
        - Devices (short URL)
      summary: List Support Scripts
      operationId: NervesHubWeb.API.DevicesController.scripts
      parameters:
        - description: Device Identifier
          example: abc123
          in: path
          name: identifier
          required: true
          schema:
            type: string
        - description: Pagination
          in: query
          name: pagination
          required: false
          schema:
            properties:
              page:
                default: 1
                example: '5'
                type: integer
              page_size:
                default: 10
                example: '20'
                type: integer
            type: object
          style: deepObject
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportScriptIndexResponse'
          description: Support Scripts List Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
      callbacks: {}
      deprecated: false
      security:
        - bearer_auth: []
components:
  schemas:
    SupportScriptIndexResponse:
      description: Response schema for multiple Support Scripts
      example:
        data:
          - id: '1'
            name: Clean Disk
            tags: cleanup
          - id: '2'
            name: Dim the lights
            tags: lights
        pagination:
          page_number: 1
          page_size: 20
          total_entries: 2
          total_pages: 1
      properties:
        data:
          description: The Support Script details
          items:
            $ref: '#/components/schemas/SupportScriptMinimal'
          type: array
        pagination:
          properties:
            page_number:
              type: integer
            page_size:
              type: integer
            total_entries:
              type: integer
            total_pages:
              type: integer
          type: object
      title: SupportScriptIndexResponse
      type: object
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
    SupportScriptMinimal:
      example:
        id: '1'
        name: Clean Disk
        tags: cleanup
      properties:
        id:
          type: string
        name:
          type: string
        tags:
          type: string
      title: SupportScriptMinimal
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````